Firmware versions

Get firmware image content link

GET
/workspaces/{workspaceId}/firmwares/{firmwareId}/versions/{firmwareVersionId}/image

Authorization

API key Firmwares: read
AuthorizationBearer <token>

API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.

In: header

Scope: Firmwares: read

Path Parameters

workspaceId*string
Formatuuid
firmwareId*string
firmwareVersionId*string

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/firmwares/q8Fd53pLn1Yr/versions/r2Kt75mXc8Vd/image"

Time-limited link to the firmware image.

{  "contentSasLink": "https://storage.spotflow.io/firmware-images/y7Bs21fWn5Hk.bin?sv=2025-01-01&sig=example",  "fileName": "thermostat-application-2.4.1.bin"}